ConnectionPoolWithSynchronizedValidation (Transactions JTA 4.0.6 API)
Date: 2018-01-11

com.atomikos.datasource.pool

## Class ConnectionPoolWithSynchronizedValidation

- java.lang.Object
- - com.atomikos.datasource.pool.ConnectionPool
  - - com.atomikos.datasource.pool.ConnectionPoolWithSynchronizedValidation

- All Implemented Interfaces:
    XPooledConnectionEventListener

      public class ConnectionPoolWithSynchronizedValidation
      extends ConnectionPool

  Copyright (C) 2000-2017 Atomikos LICENSE CONDITIONS See http://www.atomikos.com/Main/WhichLicenseApplies for details.

- - ### Field Summary

    - ### Fields inherited from class com.atomikos.datasource.pool.ConnectionPool

      `connections`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionPoolWithSynchronizedValidation(ConnectionFactory connectionFactory, ConnectionPoolProperties properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Reapable` | `borrowConnection()` Borrows a connection from the pool.

    - ### Methods inherited from class com.atomikos.datasource.pool.ConnectionPool

      `assertNotDestroyed, availableSize, destroy, destroyPooledConnection, findExistingOpenConnectionForCallingThread, findOrWaitForAnAvailableConnection, logCurrentPoolSize, onXPooledConnectionTerminated, reapPool, recycleConnectionIfPossible, refresh, retrieveFirstAvailableConnection, toString, totalSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionPoolWithSynchronizedValidation

          public ConnectionPoolWithSynchronizedValidation(ConnectionFactory connectionFactory,
                                                  ConnectionPoolProperties properties)
                                                   throws ConnectionPoolException

      Throws:
        `ConnectionPoolException`

  - ### Method Detail

    - #### borrowConnection

          public Reapable borrowConnection()
                                    throws CreateConnectionException,
                                           PoolExhaustedException,
                                           ConnectionPoolException

      Description copied from class: `ConnectionPool`
      Borrows a connection from the pool.
      Overrides:
        `borrowConnection` in class `ConnectionPool`
      Returns:
        The connection as Reapable.
      Throws:
        `CreateConnectionException` - If the pool attempted to grow but failed.
        `PoolExhaustedException` - If the pool could not grow because it is exhausted.
        `ConnectionPoolException` - Other errors.

Copyright © 2018. All Rights Reserved.